OGRE: Ogre::RenderSystemCapabilitiesSerializer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RenderSystemCapabilitiesSerializer Class Reference
Core » RenderSystem

Class for serializing RenderSystemCapabilities to / from a .rendercaps script. More...

`#include <OgreRenderSystemCapabilitiesSerializer.h>`

Inheritance diagram for Ogre::RenderSystemCapabilitiesSerializer:
[legend]

## Public Member Functions
| RenderSystemCapabilitiesSerializer ()
| default constructor More...
virtual | ~RenderSystemCapabilitiesSerializer ()
| default destructor More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | parseScript (DataStreamPtr &stream)
| Parses a RenderSystemCapabilities script file passed as a stream. More...
void | writeScript (const RenderSystemCapabilities *caps, const String &name, String filename)
| Writes a RenderSystemCapabilities object to a data stream. More...
String | writeString (const RenderSystemCapabilities *caps, const String &name)
| Writes a RenderSystemCapabilities object to a string. More...

## Detailed Description

Class for serializing RenderSystemCapabilities to / from a .rendercaps script.

## Constructor & Destructor Documentation

## ◆ RenderSystemCapabilitiesSerializer()

Ogre::RenderSystemCapabilitiesSerializer::RenderSystemCapabilitiesSerializer | ( |  | ) |

default constructor

## ◆ ~RenderSystemCapabilitiesSerializer()

virtual Ogre::RenderSystemCapabilitiesSerializer::~RenderSystemCapabilitiesSerializer | ( |  | ) |
| inlinevirtual

default destructor

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ parseScript()

void Ogre::RenderSystemCapabilitiesSerializer::parseScript | ( | DataStreamPtr & | stream | ) |

Parses a RenderSystemCapabilities script file passed as a stream.

Adds it to RenderSystemCapabilitiesManager::_addRenderSystemCapabilities

## ◆ writeScript()

void Ogre::RenderSystemCapabilitiesSerializer::writeScript | ( | const RenderSystemCapabilities * | caps,
|  | const String & | name,
|  | String | filename
| ) |  |

Writes a RenderSystemCapabilities object to a data stream.

## ◆ writeString()

String Ogre::RenderSystemCapabilitiesSerializer::writeString | ( | const RenderSystemCapabilities * | caps,
|  | const String & | name
| ) |  |

Writes a RenderSystemCapabilities object to a string.

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilitiesSerializer.h